Update a volume backup

PUT/v1/cloud_block_storage/backups/{backup_id}

A PUT request to the /v1/cloud_block_storage/backups/{backup_id} endpoint will update a cloud backup specified in the path parameter. You can add a label to the request body as well.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

backup_id*string

A unique identifier of a cloud volume backup.

Request Body

application/json

Response Body

application/json

curl -X PUT "https://example.com/v1/cloud_block_storage/backups/openRe7A" \  -H "Content-Type: application/json" \  -d '{    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    }  }'
{  "id": "openRe7A",  "openstack_uuid": "afc0ab4d-56db-43a8-b5fd-893a2fcf719c",  "openstack_volume_uuid": "a0b93c53-9c25-4159-8f1f-d91419eb4d70",  "region_id": 0,  "region_code": "NL01",  "name": "name1502",  "size": 1,  "status": "available",  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "created_at": "2026-05-28T07:06:39Z"}